diff deploy/linux/fix-lintian-bits.sh @ 252:120723f7698b

Bring in proto Linux deploy stuff from SV repo
author Chris Cannam
date Tue, 22 Mar 2016 12:07:54 +0000
parents
children 7dd6795af5e6
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/deploy/linux/fix-lintian-bits.sh	Tue Mar 22 12:07:54 2016 +0000
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+dir=$1
+
+[ -d "$dir" ] || exit 1
+
+strip "$dir"/usr/bin/*
+
+sz=`du -sx --exclude DEBIAN "$dir" | awk '{ print $1; }'`
+perl -i -p -e "s/Installed-Size: .*/Installed-Size: $sz/" "$dir"/DEBIAN/control
+
+find "$dir" -name \*~ -exec rm \{\} \;
+
+sudo chown -R root.root "$dir"/*
+
+sudo chmod -R g-w "$dir"/*